//+------------------------------------------------------------------+
//|                                                           A4.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
// 2011-01-02 - serpentsnoir - added feature for Magic Number and corrected order send function.

//+------------------------------------------------------------------+
//| extern input parameters                                          |
//+------------------------------------------------------------------+
extern int TradeDay=2;
extern int TradeHour=14;
extern int TradeMinute=25;
extern double Lots=1.0;
extern int Stoploss=50;
extern int Takeprofit=100;
extern int Slippage=5;


double dXPoint=1;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----

   if(Digits==3 || Digits==5)
     {
      dXPoint=10;
     }

   if(Digits==3 || Digits==5)
     {
      dXPoint=10;
      int SLIPPAGE=SLIPPAGE*dXPoint;
     }


//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   double dSpread=MarketInfo(Symbol(),MODE_SPREAD)/dXPoint;
   int t_cnt=0, b_cnt=0, s_cnt=0;
   for(int i=0; i<OrdersTotal(); i++)
     {
      if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES)==true)
        {
         if(OrderType()==OP_BUY && OrderMagicNumber() == thisMagic())
           {
            b_cnt++;
            t_cnt++;
           }
         if(OrderType()==OP_SELL && OrderMagicNumber() == thisMagic())
           {
            s_cnt++;
            t_cnt++;
           }
        }
     }
   if(
      (OrderType()!=OP_BUY && b_cnt==0)
      &&  TradeHour==Hour()
      && TradeMinute==Minute()
      && TradeDay==DayOfWeek()
      )
     {
      OrderSend(Symbol(),OP_BUY,Lots,Ask,Slippage,Ask-(Stoploss*dXPoint)*Point,Ask+(Takeprofit*dXPoint)*Point,WindowExpertName(),thisMagic(),0,DodgerBlue);
     }
   Sleep(1000);

   RefreshRates();

   if(
      (OrderType()!=OP_SELL && s_cnt==0)
      &&  TradeHour==Hour()
      && TradeMinute==Minute()
      && TradeDay==DayOfWeek()
      )
     {
      OrderSend(Symbol(),OP_SELL,Lots,Bid,Slippage,Bid+(Stoploss*dXPoint)*Point,Bid-(Takeprofit*dXPoint)*Point,WindowExpertName(),thisMagic(),0,HotPink);
     }
//----
   return(0);
  }

int thisMagic()
{
return (TradeDay*10000+TradeHour*100+TradeMinute);
}
//+------------------------------------------------------------------+

